<?php

namespace AOP\App\Admin\AdminPages;

use AOP\App\Plugin;
use AOP\App\Admin\ListTable;
use AOP\App\Admin\AdminPages\SubpageEdit;
use AOP\App\Admin\AdminPages\SubpageCreate;
use AOP\App\Admin\AdminPages\SubpageMaster;
use AOP\App\Admin\AdminPages\Settings\SubpageSettings;
use AOP\App\Admin\AdminPages\Settings\SettingHideCheckbox;

class View
{
    public static function editPage()
    {
        printf('<div id="%s">', Plugin::PREFIX . 'root');

        vprintf(
            '<page-create noncename="%s" nonce="%s" slug="%s"></page-create>',
            SubpageEdit::wpNonceFieldArray()
        );

        print('<modal></modal>');

        print('</div>');
    }

    public static function createPage()
    {
        printf('<div id="%s">', Plugin::PREFIX . 'root');

        vprintf(
            '<page-create noncename="%s" nonce="%s" slug="%s"></page-create>',
            SubpageCreate::wpNonceFieldArray()
        );

        print('</div>');
    }

    public static function masterPage()
    {
        $listTable = new ListTable();

        printf('<div id="%s"><div class="wrap">', Plugin::PREFIX . 'root');

        $listTable->prepare_items();

        printf(
            '<h1 class="wp-heading-inline">%s</h1>',
            SubpageMaster::PAGE_TITLE
        );

        printf(
            '<a href="%s" class="page-title-action">%s</a>',
            SubpageCreate::url(),
            __('Add New')
        );

        print('<hr class="wp-header-end">');

        printf(
            '<form id="pages-filter" method="get"><input type="hidden" name="page" value="%s" />',
            $_REQUEST['page']
        );

        $listTable->display();

        print('</form>');

        print('<modal></modal>');

        print('</div></div>');
    }

    public static function settingsPage()
    {
        printf(
            '<h1 class="wp-heading-inline">%s</h1>',
            SubpageSettings::PAGE_TITLE
        );

        print('<div class="wrap">');

        if ($_SERVER['DOCUMENT_URI'] !== '/wp-admin/options-general.php') {
            settings_errors();
        }

        print('<form method="post" action="options.php">');

        settings_fields(SubpageSettings::SLUG);
        do_settings_sections(SubpageSettings::SLUG);

        submit_button();
        print('</form>');


        print('</div>');

    }
}