<?php

namespace AOP\App\Options\Fields;

class HorizontalRule
{
    private $pageName;
    private $descriptionField;
    private $sectionName;
    private $classAttribute;

    public function __construct($args)
    {
        $this->pageName         = $args['page_name'];
        $this->sectionName      = $args['id'] . '_section';

        $this->classAttribute = isset($args['class_attribute']) ? $args['class_attribute'] : '';

        add_action('admin_init', [$this, 'optionsSettingsInit']);
    }

    public function optionsSettingsInit()
    {
        add_settings_section(
            $this->sectionName,
            '',
            [$this, 'displayCallback'],
            $this->pageName
        );
    }

    public function displayCallback()
    {
        printf('<hr%s>', $this->classAttribute ? ' class="' . $this->classAttribute . '"' : '');
    }
}
