<?php

namespace AOP\App\Options\Fields;

class Subtitle
{
    private $pageName;
    private $fieldTitle;
    private $sectionName;
    private $classAttribute;

    public function __construct($args)
    {
        $this->pageName    = $args['page_name'];
        $this->fieldTitle  = stripslashes($args['field_title']);
        $this->sectionName = $this->fieldTitle . '_section';

        $this->classAttribute = isset($args['class_attribute']) ? $args['class_attribute'] : '';

        add_action('admin_init', [$this, 'optionsSettingsInit']);
    }

    public function optionsSettingsInit()
    {
        add_settings_section(
            $this->sectionName,
            '',
            [$this, 'optionCallback'],
            $this->pageName
        );
    }

    public function optionCallback()
    {
        printf(
            '<h2%s>%s</h2>',
            $this->classAttribute ? ' class="' . $this->classAttribute . '"' : '',
            $this->fieldTitle
        );
    }
}
