<?php

namespace AOP\App\Options;

use AOP\Lib\Illuminate\Support\Collection;

class MenuPage
{
    private $pageTitle;
    private $menuTitle;
    private $capability;
    private $menuSlug;
    private $iconUrl;
    private $position;

    public function run($args)
    {
        $this->pageTitle  = $args['page_title'];
        $this->menuTitle  = $args['menu_title'];
        $this->capability = $args['capability'];
        $this->menuSlug   = $args['menu_slug'];
        $this->iconUrl    = $args['icon_url'];
        $this->position   = !empty($args['position']) ? $args['position'] : '30';

        add_action('admin_menu', [$this, 'addMenuPage']);
    }

    public function addMenuPage()
    {
        add_menu_page(
            $this->pageTitle,
            $this->menuTitle,
            $this->capability,
            $this->menuSlug,
            '',
            $this->iconUrl,
            $this->position
        );
    }
}
